//Создание задачи диспетчерского вызова прочих задач
function [err,msg]=CreateRandomGenereteSystemParametrsTasks(ArgumentsFilesNames,..//Имена файлов аргументов
                                                            ProjectName,..//Имя проекта
                                                            ProjectDirectory,..//Имя директории проекта
                                                            errPrintMsg..//Печатаем или нет сообщения об ошибках
                                                            )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function CreateComputingExperimentSystemTasks takes 1, 2, 3 or 4 arguments');
    case 1 then
        ProjectName = '';
        ProjectDirectory = pwd();
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 2 then
        if type(ProjectName) == 4 then
            errPrintMsg = ProjectName;
            ProjectName = '';
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
        ProjectDirectory = pwd();
    case 3 then
        if type(ProjectDirectory) == 4 then
            errPrintMsg = ProjectDirectory;
            ProjectDirectory = pwd();
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    end
    
    //Создаем задачу рсчета свойств динамики системы
    [err,msg]=CreateTasksForAugmentation(ArgumentsFilesNames,..//Имена файлов аргументов
                                         ["DisplayFunction.sce","RandomGenerationParametrsSystem.sce","DisplateNextTasks.sce"],..//Имена шаблонов задач
                                         ProjectName,..//Имя проекта
                                         ProjectDirectory,..//Имя директории проекта
                                         errPrintMsg..//Печатаем или нет сообщения об ошибках
                                         );
endfunction
