/*Обработка аргументов*/
SystemParametrsSemanticsFileName = GetFullDataFileName(SystemParametrsSemanticsFileName,..
                                                       ProjectName);//Полное имя файла семантики параметров системы
SystemParametrsDatasFilesNames = GetFullDataFileName(SystemParametrsDatasFilesNames,..
                                                     ProjectName);//Полное имя файла параметров системы
ConditionDatasFileName = GetFullDataFileName(ConditionDatasFileName,..
                                             ProjectName);//Полное имя файла условий протекания процессов в системе
XCosDynamicsDiagramFileName = GetFullDataFileName(XCosDynamicsDiagramFileName,..
                                                  ProjectName);//Полное имя файла блок-диаграммы динамики системы
SystemModelingParametrsSemanticsFileName = GetFullDataFileName(SystemModelingParametrsSemanticsFileName,..
                                                               ProjectName);//Полное имя файла семантики параметров моделирования динамики системы
ModelingParametrsDynamicFileName = GetFullDataFileName(ModelingParametrsDynamicFileName,..
                                                       ProjectName);//Полное имя файла параметров моделирования динамик процессов
ProcessingSystemOutputCharacteristicsFileName = GetFullDataFileName(ProcessingSystemOutputCharacteristicsFileName,..
                                                                    ProjectName);//Полное имя файла параметров обработки выходных динамик
OutputDynamicsSemanticsDatasFileName = GetFullDataFileName(OutputDynamicsSemanticsDatasFileName,..
                                                           ProjectName);//ИПолное имя файла семантики выходных данных динамики
OutputDynamicsDatasFileName = GetFullDataFileName(OutputDynamicsDatasFileName,..
                                                  ProjectName);//Полное имя файла выходных данных динамик

/*Стратегия решения задачи*/

//Загружаем библиотеки функций состояния составляющих системы
if ~isempty(libNames) then
    //Загружаем массив библиотек
    libs = LoadingFunctionsLibs(libNames,ProjectName);
    
    //Передаем массив библиотек в рабочую область
    execstr(libNames + '=libs{' + string([1:size(libs,'*')]) + '}');
    
    //Чистим память
    clear libNames;
    clear libs;
end

//Выполненяем вычислительнй эксперимент и сохраняем его результаты в файл csv
SystemDynamicComputingExperimentFile(OutputDynamicsSemanticsDatasFileName,..//Имя файла выходных параметров динамик системы
                                     ProcessingSystemOutputCharacteristicsFileName,..//имя файла параметров обработки выходных динамик системы
                                     XCosDynamicsDiagramFileName,..//Имя файла диаграммы системы
                                     OutputDynamicsDatasFileName,..//Имя файла выходных динамик системы
                                     SystemParametrsDatasFilesNames,..//Имена файлов данных параметров системы
                                     ConditionDatasFileName,..//Имя файла данных условий функционирования системы
                                     ModelingParametrsDynamicFileName,..//Имена файла параметров моделирования динамики системы
                                     SystemParametrsSemanticsFileName,..//Имя файла семандики параметров системы
                                     SystemModelingParametrsSemanticsFileName,..//Имя файла семантики параметров моделирования динамики системы
                                     csvSeparator,..//Разделитель .csv
                                     csvDec..//Десятичный разделитель
                                     );
