/*Обработка аргументов*/
CharacteristicsDatasFileName = GetFullDataFileName(CharacteristicsDatasFileName,..
                                                   ProjectName);//Полные имена файлов аттрибутов равномерно распределенных случайных величин
CountFunctionsFilesNames = GetFullDataFileName(CountFunctionsFilesNames,..
                                               ProjectName);//Полные имена файлов аттрибутов равномерно распределенных случайных величин
PropertiesDatasFileName = GetFullDataFileName(PropertiesDatasFileName,..
                                              ProjectName);//Полные имена файлов случайных величин

/*Стратегия решения задачи*/

//Загружаем библиотеки функций состояния составляющих системы
if ~isempty(libNames) then
    //Загружаем массив библиотек
    libs = LoadingFunctionsLibs(libNames,ProjectName);
    
    //Передаем массив библиотек в рабочую область
    execstr(libNames + '=libs{' + string([1:size(libs,'*')]) + '}');
    
    //Чистим память
    clear libNames;
    clear libs;
end

//Выполненяем вычислительнй эксперимент и сохраняем его результаты в файл csv
CountCharacteristicsProperties(CharacteristicsDatasFileName,..//Имя файла данных характеристик системы
                               CountFunctionsFilesNames,..//Имя файла аттрибутов равномерно распределенных случайных величин
                               PropertiesDatasFileName,..//Имя файла свойств
                               csvSeparator,..//Разделитель .csv
                               csvDec..//Десятичный разделитель
                               );
